Package org.pgpainless.encryption_signing

# Class CRLFGeneratorStream

java.lang.Object
java.io.OutputStream
org.pgpainless.encryption_signing.CRLFGeneratorStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class CRLFGeneratorStream extends OutputStream
`OutputStream` which applies CR-LF encoding of its input data, based on the desired `StreamEncoding`. This implementation originates from the Bouncy Castle library.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final OutputStream`
`crlfOut`

## Constructor Summary

Constructors
Constructor
Description
`CRLFGeneratorStream(OutputStream crlfOut, StreamEncoding encoding)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### crlfOut

protected final OutputStream crlfOut

## Constructor Details

### CRLFGeneratorStream

public CRLFGeneratorStream(OutputStream crlfOut, StreamEncoding encoding)

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`